xenial autopkgtest fails because its using an End of Life release

Bug #1690437 reported by Brian Murray on 2017-05-12
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
apport (Ubuntu)
Undecided
Unassigned
Xenial
Undecided
Brian Murray

Bug Description

[Impact]
A xenial autopackagetest, test_backend_apt_dpkg.py, for apport is failing because they try and get data from ddebs.ubuntu.com for an End of Life release.

[Test Case]
1) Observe the autopkgtest failure
"SystemError: W:The repository 'http://ddebs.ubuntu.com wily Release' does not have a Release file., W:Data from such a repository can't be authenticated and is therefore potentially dangerous to use., W:See apt-secure(8) manpage for repository creation and user configuration details., E:Failed to fetch http://ddebs.ubuntu.com/dists/wily/main/binary-armhf/Packages 404 Not Found, E:Some index files failed to download. They have been ignored, or old ones used instead."

With the version of apport in -proposed their will not be an autopkgtest failure.

[Regression Potential]
We are switching to the version of the autopkgtest which is currently working in apport and has been working since yakkety's development. Additionally, its just a test change so there should be no regressions.

Here's a link to a failure:

https://objectstorage.prodstack4-5.canonical.com/v1/AUTH_77e2ada1e7a84929a74ba3b87153c0ac/autopkgtest-xenial/xenial/amd64/a/apport/20170426_142511_fd07d@/log.gz

Changed in apport (Ubuntu):
status: New → Invalid
Changed in apport (Ubuntu Xenial):
status: New → In Progress
assignee: nobody → Brian Murray (brian-murray)

Hello Brian, or anyone else affected,

Accepted apport into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/apport/2.20.1-0ubuntu2.6 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in apport (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed

The verification of the Stable Release Update for apport has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package apport - 2.20.1-0ubuntu2.6

---------------
apport (2.20.1-0ubuntu2.6) xenial; urgency=medium

  * data/general/ubuntu.py: Collect a minimal version of /proc/cpuinfo in
    every report. (LP: #1673557)
  * data/general/ubuntu-gnome.py: The GNOME3 PPAs are no longer supported for
    14.04 or 16.04 so set an UnreportableReason in those reports.
    (LP: #1689093)
  * test_backend_apt_dpkg.py: Move tests from Ubuntu 15.10 "wily" (which is
    EoL now) to 16.04 LTS "xenial". (LP: #1690437)

 -- Brian Murray <email address hidden> Fri, 12 May 2017 11:39:04 -0700

Changed in apport (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers